Skip to main content
GET
/
scim
/
v2
/
Groups
List groups
curl --request GET \
  --url https://{tenant}.cubecloud.dev/api/scim/v2/Groups \
  --header 'Authorization: Bearer <token>'
{
  "schemas": [
    "urn:ietf:params:scim:api:messages:2.0:ListResponse"
  ],
  "totalResults": 123,
  "startIndex": 123,
  "itemsPerPage": 123,
  "Resources": [
    {
      "displayName": "<string>",
      "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:Group"
      ],
      "id": "<string>",
      "members": [
        {
          "value": "<string>",
          "display": "<string>"
        }
      ],
      "meta": {
        "resourceType": "<string>",
        "created": "2023-11-07T05:31:56Z",
        "lastModified": "2023-11-07T05:31:56Z",
        "location": "<string>"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

SCIM bearer token issued from your Cube Cloud account settings.

Query Parameters

filter
string

SCIM filter expression used to narrow results, for example userName eq "jane@example.com".

startIndex
integer
default:1

1-based index of the first result to return. Defaults to 1.

Required range: x >= 1
count
integer

Maximum number of results to return per page.

Required range: x >= 0
excludedAttributes
string

Comma-separated list of attributes to omit from the response.

Response

200 - application/json

A list of groups.

schemas
string[]
Example:
[
"urn:ietf:params:scim:api:messages:2.0:ListResponse"
]
totalResults
integer
startIndex
integer
itemsPerPage
integer
Resources
object[]